PAN Verification Plus V3

PAN Verification Plus V3 API provides key personal details linked to a PAN, including the individual's name, date of birth, and father's name, ensuring accurate identity verification.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters

Following are the parameters to be sent in the request body:

ParametersTypeMandatory (M) , Optional (O)Description
panStringMPAN number of End User
latitudeStringMEnd customer Latitude.
longitudeStringMEnd Customer Longitude.
externalRefStringMYour Unique Transaction id

Sample Request

curl --location --request POST 'https://api.instantpay.in/identity/verifyPanPlusV3' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "pan": "AAOCS6XXXX",
    "externalRef": "12345",
    "latitude": "23.0000",
    "longitude": "45.0000"
}
POST /identity/verifyPanPlusV3 HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "pan": "AAOCS6028B",
    "externalRef": "12345",
    "latitude": "23.0000",
    "longitude": "45.0000"
}

Response Parameters

NameTypeDescription
statuscodestringInstantPay Status Code
actcodestringAction Code
statusstringStatus message
dataarrayResponse Data (If Present)
timestampstringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidstringRequest reference number
orderidstringTransaction Id ( If transaction otherwise it is null )
environmentstringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "externalRef": "1776937391",
        "poolReferenceId": "1260423094311NWTCF",
        "txnReferenceId": "019db9b8-d52c-8aaf-abaf-95f748d34471",
        "pool": {
            "account": "7505684294",
            "openingBal": "595.18",
            "mode": "DR",
            "amount": "2.36",
            "closingBal": "592.82"
        },
        "panPlusDataV3": {
            "panNumber": "ABCDE1234F",
            "userFullName": "Pan Holder Name",
            "firstName": "Pan",
            "middleName": "Holder",
            "lastName": "Name",
            "fatherName": "Father Name",
            "userDob": "25-12-XXXX"
        }
    },
    "timestamp": "2026-04-23 15:13:12",
    "ipay_uuid": "h000a19c8c32-7562-4892-90fc-b9c7cd553404-d1XpLkAWVYAj",
    "orderid": "1260423094311NWTCF",
    "environment": "SANDBOX",
    "internalCode": "Transaction Successful"
}
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain